package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.dao.entity.base.MongoBaseEntity;

public class RandomPaperQuestion extends MongoBaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1357471464371313050L;

	private Long rootOrgId;

	private String randomPaperId;

	private Long courseId;
	/**
	 * 精确结构：大题号-结构序号（1开始）-公开/非公开-难度  |  示例：1-1-true-难
	 * 蓝图结构：大题号-一级属性id-二级属性id-公开/非公开-难度  |  示例：1-1-60efd3e85d030a52bb08b1e8-60efd3e85d030a52bb08b1e9-true-易
	 */
	private String key;

	private List<String> questionIds;

	public String getRandomPaperId() {
		return randomPaperId;
	}

	public void setRandomPaperId(String randomPaperId) {
		this.randomPaperId = randomPaperId;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public List<String> getQuestionIds() {
		return questionIds;
	}

	public void setQuestionIds(List<String> questionIds) {
		this.questionIds = questionIds;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}


}
